extends Node
class_name Damageable

@export var health = 3
@export var hitback_velocity: float = 500

var active = true

signal die
signal got_hit

func set_active(new_active: bool):
	active = new_active

func damage(value: int = 0, direction: Vector2 = Vector2.UP):
	if not active:
		return
	
	got_hit.emit()
	if hitback_velocity > 0:
		get_parent().velocity = hitback_velocity * direction
	
	health -= value
	if health <= 0:
		die.emit()
	
